/*
 * brv_flash.h
 *
 *  Created on: 2025年4月8日
 *      Author: 22332
 */

#ifndef DRV_FLASH_H_
#define DRV_FLASH_H_

#include "sdk_project_config.h"
extern void bsp_drv_flash_init(void);
extern void bsp_drv_flash_write(uint8_t * write_buffer,uint32_t address);
extern uint16_t bsp_drv_flash_read_byte(volatile uint8_t * flashPtr,uint8_t *buffer, uint32_t length);
extern uint16_t bsp_drv_get_vendor_data(uint8_t *buffer, uint32_t length);

#endif /* DRV_FLASH_H_ */
